List grants
List the caller's grants, optionally for one Space: allowed operations, constraints, asset boundaries, risk acknowledgements and whether the grant still matches the provider contract.
Authorization
bearerApiKey Create a scoped API key in the Adlass settings.
In: header
Query Parameters
Opaque continuation cursor from the previous response.
length <= 2048Filter or parameter: limit.
1 <= value <= 10050Filter or parameter: space_id.
uuidHeader Parameters
Optional correlation identifier.
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/integrations/grants"{ "items": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "connection_id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174000", "allowed_operations": [], "safe_constraints": {}, "status": "ACTIVE", "provider_contract_digest": "example", "risk_acknowledgements": {}, "requires_reapproval": false, "contract_current": false, "asset_boundaries": {} } ], "next_cursor": null}